qpid-python-test(1)

NAME
qpid-python-test - run tests of the python QPID library for a broker

SYNOPSIS
qpid-python-test [options] PATTERN ...

DESCRIPTION
Run tests matching the specified PATTERNs.

OPTIONS

-h, --help
    show this help message and exit

-l, --list
    list tests instead of executing them

-b BROKER, --broker=BROKER
    run tests against BROKER °fault localhost

-f FILE, --log-file=FILE
    log output to FILE

-v LEVEL, --log-level=LEVEL
    only display log messages of LEVEL or higher severity: DEBUG, WARN, ERROR °fault WARN

-c CATEGORY, --log-category=CATEGORY
    log only categories matching CATEGORY pattern

-m MODULES, --module=MODULES
    add module to test search path

-i IGNORE, --ignore=IGNORE
    ignore tests matching IGNORE pattern

-I IFILE, --ignore-file=IFILE
    ignore tests matching patterns in IFILE

-H, --halt-on-error
    halt if an error is encountered

-t, --time
    report timing information on test run

-D DEFINE, --define=DEFINE
    define test parameters

-x XML, --xml=XML
    write test results in Junit style xml suitable for use by CI tools etc

SEE ALSO
For more information on qpid-python-test please check the QPID wiki at http://qpid.apache.org.